Skip to main content

AuditTransaction

One provider HTTP exchange (Transactions proto). Populated when settings.auditTransactions is true.

idstring

Transaction id

connectionCodestring

Connection code that produced this exchange

requeststring

Outbound request body (as sent to the provider)

responsestring

Inbound response body (as received from the provider)

durationinteger<int32>

Round-trip duration in milliseconds

httpUrlstring

Provider URL that was called

httpStatusCodeinteger<int32>

HTTP status code (0 when transport failed before a status)

httpResponseHeaders object

Selected response headers from the provider call

property name*string
AuditTransaction
{
"id": "string",
"connectionCode": "string",
"request": "string",
"response": "string",
"duration": 0,
"httpUrl": "string",
"httpStatusCode": 0,
"httpResponseHeaders": {}
}